#include "qlopdatabaseviewermodel.h"

QLopDataBaseViewerModel::QLopDataBaseViewerModel(QObject *parent)
    : QAbstractTableModel(parent)
{
    beginResetModel();
    endResetModel();
}

QLopDataBaseViewerModel::~QLopDataBaseViewerModel()
{

}

int QLopDataBaseViewerModel::rowCount(const QModelIndex &parent) const
{
    return QLopDataBase::count();
}

int QLopDataBaseViewerModel::columnCount(const QModelIndex &parent) const
{
    return 3;
}

QVariant QLopDataBaseViewerModel::data(const QModelIndex &index, int role) const
{
    if (!index.isValid() || role != Qt::DisplayRole)
        return QVariant();
    QLopData* data=QLopDataBase::self()->getDataFromIdex(index.row());
    if(data)
        return data->name;
    else QVariant();
}

QVariant QLopDataBaseViewerModel::headerData(int section, Qt::Orientation orientation, int role) const
{
    if (role == Qt::SizeHintRole)
        return QSize(1, 1);
    return QVariant();
}

